#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1
%define khangmanengine_major 4
%define khangmanengine_library %mklibname khangmanengine %{khangmanengine_major}

Name: khangman
Summary: Classical hangman game
Version: 4.10.2
Release: %mkrel %{rel}
Group: Education
License: GPLv2
URL: http://edu.kde.org/khangman
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
Suggests: %{name}-handbook
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: libkdeedu-devel >= %{version}

Requires: libkdeedu-common = %{version}
#Branch patches 100->200

#Trunk Patches 200->300

#Mageia Patches 500->600

%description
KHangman is the classical hangman game. The child should guess a word
letter by letter. At each miss, the picture of a hangman appears. After
10 tries, if the word is not guessed, the game is over and the answer
is displayed.

%files
%_kde_appsdir/khangman
%_kde_bindir/khangman
%_kde_iconsdir/*/*/apps/khangman.*
%_kde_iconsdir/*/*/apps/khangman-*
%_kde_datadir/applications/kde4/khangman.desktop
%_kde_datadir/config.kcfg/khangman.kcfg
%_kde_datadir/config/khangman.knsrc


#-------------------------------------------------------------------------------

%package -n %{khangmanengine_library}
Summary: Runtime library for %{name}
Group: System/Libraries
Conflicts: %{name} < 4.10.2
%description -n %{khangmanengine_library}
This package provides the runtime library for %{name}.

%files -n %{khangmanengine_library}
%_kde_libdir/libkhangmanengine.so.%{khangmanengine_major}*

#------------------------------------------------------------------------------
%package handbook
Summary: Khangman handbook
Conflicts: khangman < 4.7.1
BuildArch: noarch
Group: Documentation

%description handbook
This package provides khangman handbook and mandir.

%files handbook
%doc COPYING COPYING.DOC README
%doc %_kde_docdir/HTML/en/khangman
%_kde_mandir/man6/khangman.6.*

#------------------------------------------------------------------------------

%package devel
Summary: khangman development package
Requires: %{name}
Requires: %{khangmanengine_library} = %{version}-%{release}
%description devel
This package contains the development package for khangman

%files devel
%_kde_includedir/khangman
%_kde_libdir/libkhangmanengine.so

#------------------------------------------------------------------------------


%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
%makeinstall_std -C build


%changelog

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407205
- Update tarball to KDE SC 4.10.2
- Drop patch500
- Libification of the library engine

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401884
- Update tarball to KDE SC 4.10.1

* Sun Mar 03 2013 fwang <fwang> 4.10.0-4.mga3
+ Revision: 401239
- devel disappears now
- disable build engine, as it is only used by harmattan, not by desktop now

* Sun Mar 03 2013 fwang <fwang> 4.10.0-3.mga3
+ Revision: 401231
- drop invalid req

* Sun Mar 03 2013 fwang <fwang> 4.10.0-2.mga3
+ Revision: 401230
- split khangman lib

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394377
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 356166
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339440
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334532
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326737
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320293
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316177
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301948
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289746
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277112
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269684
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 265967
- New version - 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257233
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228444
- new version 4.8.2

* Thu Mar 29 2012 lmenut <lmenut> 4.8.1-2.mga2
+ Revision: 227488
- add missing suggests

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221482
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198240
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-0.mga2
+ Revision: 191039
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186058
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182115
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176444
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161343
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151960
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-0.mga2
+ Revision: 140651
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- fix license

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122436
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 4.6.90-2.mga2
+ Revision: 115881
- Use %%version & not %%version-%%release for requires on libkdeedu

* Wed Jun 29 2011 mikala <mikala> 4.6.90-1.mga2
+ Revision: 115735
- imported package khangman

